> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/edges/computing-conflicts-between-users.md).

# Computing Conflicts Between Users

In general, conflicts can and should be computed using [Paper Matching Setup](/~/changes/kVYMUwjISEF9x7H1lfSE/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments/how-to-setup-paper-matching-by-calculating-affinity-scores-and-conflicts.md). However, there may be cases where you do not want to re-compute conflicts for all reviewers and papers; for example, if an author requested to add new coauthors after reviewers were already assigned to their paper. You can use the python client to manually check for conflicts between the reviewers and the new authors like so:&#x20;

1. If you have not done so, you will need to [install and instantiate the openreview-py client](/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/installing-and-instantiating-the-python-client.md).&#x20;
2. Get the note that you are interested in computing conflicts for. If you have a double blind venue, go to api.openreview\.net/notes?id=\<submission\_forum> and get the id listed for "original". If you have a single blind venue, you can pass in the forum.

```python
note = client.get_note(<submission_id>)
```

3\. Get the profiles of the authors of the submission and the reviewers. The reviewer group id should be something like your conference id/Paper#/Reviewers, for example robot-learning.org/CoRL/2022/Conference/Paper99/Reviewers if the submission of interest is paper number 99.

```python
author_profiles = openreview.tools.get_profiles(
    client,
    note.content["authorids"],
    with_publications=True
)
reviewers = openreview.tools.get_profiles(
    client,
    client.get_group(reviewer_group_id).members,
    with_publications=True
)
```

4\. Compute the conflicts. If no conflicts are found, an empty array will be printed. Otherwise, the array will contain the shared groups that put them in conflict with each other.&#x20;

```python
for reviewer in reviewers:
    print(reviewer.id)
    conflicts = openreview.tools.get_conflicts(
        author_profiles,
        reviewer,
        policy='default',
        n_years=5
    )
    print(conflicts)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/edges/computing-conflicts-between-users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
